Include the date that Ubuntu was installed with apport reports

Bug #1070400 reported by Evan on 2012-10-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned
Quantal
Undecided
Unassigned
whoopsie (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned
Quantal
Undecided
Unassigned

Bug Description

To test:
gnome-language-selector &; PID="$\!"; sleep 3; kill -SEGV $PID
apport-cli /var/crash/*gnome-language-selector*.crash

View the report, make sure it has both an InstallationDate field and UpgradeStatus field.

Original report follows:
We need to include the date that Ubuntu was installed with each new apport report. This lets us answer questions that pay particular attention to when a crash occurred relative to installation like, "What is the percentage of systems that have a high initial rate of crashes, which continue submitting crash reports after a week / a month / three months?"

Evan (ev) on 2012-10-24
description: updated

Hello Evan, or anyone else affected,

Accepted apport into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/apport/2.6.1-0ubuntu6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Changed in apport (Ubuntu Precise):
status: New → Fix Committed
Changed in whoopsie (Ubuntu Precise):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Evan, or anyone else affected,

Accepted whoopsie into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/whoopsie/0.2.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Evan (ev) wrote :

Verified that the new fields are present and that a SEGV crash still works.

Adam Conrad (adconrad) on 2012-10-24
Changed in apport (Ubuntu Precise):
status: Fix Committed → Confirmed
Changed in apport (Ubuntu Quantal):
status: New → Fix Committed
Changed in whoopsie (Ubuntu Precise):
status: Fix Committed → Confirmed
Changed in whoopsie (Ubuntu Quantal):
status: New → Fix Committed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package whoopsie - 0.2.6

---------------
whoopsie (0.2.6) quantal-proposed; urgency=low

  * Send the UpgradeStatus and InstallationDate fields from apport (LP:
    #1070400).
 -- Evan Dandrea <email address hidden> Wed, 24 Oct 2012 11:05:50 +0100

Changed in whoopsie (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.6.1-0ubuntu6

---------------
apport (2.6.1-0ubuntu6) quantal-proposed; urgency=low

  * Do not refer to the current release in the InstallationDate field
    (LP: #1070400). We have the installed release version in the
    InstallationMedia field.

apport (2.6.1-0ubuntu5) quantal-proposed; urgency=low

  * Include the date that Ubuntu was installed with each report
    (LP: #1070400).
 -- Evan Dandrea <email address hidden> Wed, 24 Oct 2012 14:31:10 +0100

Changed in apport (Ubuntu Quantal):
status: Fix Committed → Fix Released
Evan (ev) on 2012-11-02
tags: added: whoopsie-daisy
Changed in apport (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package whoopsie - 0.2.7

---------------
whoopsie (0.2.7) quantal-proposed; urgency=low

  * Also include the InstallationMedia field so that we can tie the
    installation date to a release (LP: #1071255).
 -- Evan Dandrea <email address hidden> Thu, 25 Oct 2012 11:46:12 +0100

Changed in whoopsie (Ubuntu):
status: New → Fix Released
Changed in apport (Ubuntu Precise):
milestone: none → precise-updates
Changed in whoopsie (Ubuntu Precise):
milestone: none → precise-updates
Changed in apport (Ubuntu Precise):
importance: Undecided → Medium
Changed in whoopsie (Ubuntu Precise):
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in apport (Ubuntu Precise):
status: Confirmed → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers